(executables
  (names planet)
  (libraries js_of_ocaml-lwt)
  (preprocess (pps js_of_ocaml-ppx))
  )

(rule
  (targets planet.js)
  (action
    (run %{bin:js_of_ocaml} --noruntime %{lib:js_of_ocaml-compiler:runtime.js}
         --source-map %{dep:planet.bc} -o %{targets} --pretty)))

(alias
  (name default)
  (deps planet.js index.html texture.jpg))
